org.apache.avro.util

## Class MapUtil

- java.lang.Object
- - org.apache.avro.util.MapUtil

    public class MapUtil
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static <K,V> V` `computeIfAbsent(ConcurrentMap<K,V> map, K key, Function<K,V> mappingFunction)` A temporary workaround for Java 8 specific performance issue JDK-8161372 . This class should be removed once we drop Java 8 support.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### computeIfAbsent

    public static <K,V> V computeIfAbsent(ConcurrentMap<K,V> map,
                                          K key,
                                          Function<K,V> mappingFunction)

A temporary workaround for Java 8 specific performance issue JDK-8161372 .
This class should be removed once we drop Java 8 support.

See Also:
  JDK-8161372